Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.webapp
Interface HtmlParser

    public interface HtmlParser

Method Summary
`void` | `parseHtml(java.io.InputStream input, java.io.Writer output)`
`void` | `parseHtml(java.io.Reader input, java.io.Writer output)`
`void` | `setDoctype(java.lang.String doctype)`
`void` | `setHeadNodes(org.w3c.dom.Node[] events)`
`void` | `setInputEncoding(java.lang.String encoding)`
`boolean` | `setMime(java.lang.String mimeType)`
`void` | `setMoveElements(boolean move)` Setup, must tidy move style etc.
`void` | `setOutputEncoding(java.lang.String encoding)`
`void` | `setViewState(java.lang.String viewState)`

Method Detail

### parseHtml

    void parseHtml(java.io.InputStream input,
                   java.io.Writer output)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseHtml

    void parseHtml(java.io.Reader input,
                   java.io.Writer output)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### setInputEncoding

    void setInputEncoding(java.lang.String encoding)

  Parameters:
    `encoding` -

### setOutputEncoding

    void setOutputEncoding(java.lang.String encoding)

  Parameters:
    `encoding` -

### setMoveElements

    void setMoveElements(boolean move)

  Setup, must tidy move style etc. elements to head or not.

  Parameters:
    `move` -

### setHeadNodes

    void setHeadNodes(org.w3c.dom.Node[] events)

### setDoctype

    void setDoctype(java.lang.String doctype)

### setViewState

    void setViewState(java.lang.String viewState)

  Parameters:
    `viewState` - The viewState to set.

### setMime

    boolean setMime(java.lang.String mimeType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.